<?php

namespace MGModule\DNSManager2\mgLibs\custom\dns\record\type;

class NSEC3PARAM extends RecordTypeAbstract {
    public $algorithm;
    public $flags;
    public $iterations;
    public $salt;
    
    public function __construct($algorithm = 0, $flags = 0, $iterations = 0, $salt = '')
    {
        $this->setAlgorithm($algorithm);
        $this->setFlags($flags);
        $this->setIterations($iterations);
        $this->setSalt($salt);
    }
    
    function getAlgorithm() {
        return $this->algorithm;
    }

    function getFlags() {
        return $this->flags;
    }
    
    function getIterations() {
        return $this->iterations;
    }
    
    function getSalt() {
        return $this->salt;
    }

    function setAlgorithm($algorithm) {
        $this->algorithm = $algorithm;
    }

    function setFlags($flags) {
        $this->flags = $flags;
    }
    
    function setIterations($iterations) {
        $this->iterations = $iterations;
    }
    
    function setSalt($salt) {
        $this->salt = $salt;
    }

}